# -*- coding: utf-8 -*-
'''
MediaBox Widget
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
Maemo 5 home item
'''

from abstract import AbstractMediaBoxWidget
from hildondesktop import HomePluginItem

class MediaBoxWidgetMaemo5(AbstractMediaBoxWidget, HomePluginItem):

  def __init__(self):
    AbstractMediaBoxWidget.__init__(self)

  def __super_init__(self):
    HomePluginItem.__init__(self)

  def __custom_init__(self):
    self.connect('property-notify-event', self.on_current_desktop)
    self.widget_box.show_all()

  def on_current_desktop(self, widget, event):
    self.update_widgets_activity(self.get_property('is-on-current-desktop'))
    return False

  def do_realize(self):
    self.screen_changed(self)
    HomePluginItem.do_realize(self)
    return False

def get_hd_plugin_type(): return MediaBoxWidgetMaemo5
